View Issue Details

IDProjectCategoryView StatusLast Update
0000305SOGoWeb Calendarpublic2010-02-17 10:55
Reporterloegu Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1.0 
Fixed in Version1.2.1 
Summary0000305: Private events viewable by other people
Description

Person A is using Outlook 2003 and syncing through the funambol connector.
Person A gives Person B the following user rigths on its personal calendar through the webinterface:
Public: view all
Confidential: none
Private: none

Problem: Person B cannot see Person's A private events in Thunderbird/lightning (which is correct) but can see those events in the webinterface (which is bad).

Additional Information

The problem arises when Person A is creating a private event first in Outlook and then syncing/uploading to the server. If Person A creates the event first through the webinterface then the problem doesn't occur. Person A can even "downsync" a private event, move the event in Outlook to another day and "upsync" again. Person B won't be able to see the event through the webinterface (which is right) if the event has been created through the webinterface.

All versions are up to date, but no patches applied.

TagsNo tags attached.

Activities

loegu

loegu

2010-01-22 16:33

reporter   ~0000505

Last edited: 2010-01-25 07:27

I did some more investigations and saw that when upsyncing a private event from outlook through funambol the c_classification field in the postgres table is set to 0. Should it not be 1 for a private event or are there other fields to consider?

Is there a description out there of the table fields?

What is strange is that the event is still marked as private in Person A webcalendar although Person B can see it though. So I guess it is rather a funambol/sogo connector problem than a web calendar issue.

ludovic

ludovic

2010-02-17 10:55

administrator   ~0000591

This has been fixed - the access class is now honored by the Funambol SOGo Connector. The fix will soon be pushed to the Funambol's Forge SVN server.

Issue History

Date Modified Username Field Change
2009-12-30 05:56 loegu New Issue
2010-01-22 16:33 loegu Note Added: 0000505
2010-01-23 11:51 loegu Note Edited: 0000505
2010-01-25 07:27 loegu Note Edited: 0000505
2010-02-17 10:54 ludovic Status new => assigned
2010-02-17 10:54 ludovic Assigned To => ludovic
2010-02-17 10:55 ludovic Note Added: 0000591
2010-02-17 10:55 ludovic Status assigned => resolved
2010-02-17 10:55 ludovic Fixed in Version => 1.2.1
2010-02-17 10:55 ludovic Resolution open => fixed